
%global python3_pkgversion 3.11
%global pypi_name jaraco-classes
%global srcname jaraco.classes
%global pypi_version 3.4.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Utility functions for Python class constructs

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/jaraco/jaraco.classes
Source:         %{pypi_source jaraco.classes}

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-setuptools >= 56
BuildRequires:  python%{python3_pkgversion}-setuptools_scm >= 3.4.1
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  pyproject-rpm-macros



# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This project and the maintainers of thousands of other packages are working with Tidelift to deliver one enterprise subscription that covers all of the open source you use.}

%description %_description

%package -n     python%{python3_pkgversion}-jaraco-classes
Summary:        %{summary}
Requires:       python%{python3_pkgversion}-more-itertools

%description -n python%{python3_pkgversion}-jaraco-classes %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras


%prep
%autosetup -p1 -n jaraco.classes-%{version}


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%files -n python%{python3_pkgversion}-jaraco-classes -f %{pyproject_files}
%doc README.rst
%license LICENSE
%{python3_sitelib}/jaraco
%{python3_sitelib}/%{srcname}-%{pypi_version}.dist-info


%changelog
* Thu Feb 20 2025 Carlos Heiras <carlos.heiras@oracle.com> - 3.4.0-1
- Initial release
